Bug 13830 - ypchfn does not use defaults
ypchfn does not use defaults
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: yp-tools (Show other bugs)
7.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-12 16:42 EDT by Joshua Buysse
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 10:58:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Buysse 2000-07-12 16:42:38 EDT
Short form -- ypchfn is supposed to have the current GECOS value as a
default, so if you just hit return, it will keep the old value.  It
doesn't.  If you attempt to keep the old value, it will end up blank.  I'll
note this in depends as well.

Here's my shell output:

buysse@brute:~ 3% ypchfn
Changing NIS account information for buysse on atlas.socsci.umn.edu.
Please enter password:

Changing full name for buysse on atlas.socsci.umn.edu.
To accept the default, simply press return. To enter an empty
field, type the word "none".
Name [Josh Buysse]: 
Location []: SSRFC
Office Phone []: 5-0736
Home Phone [5-0736]: SSRF Staff

The GECOS information has been changed on atlas.socsci.umn.edu.

buysse@brute:~ 4% ypmatch buysse passwd
buysse:EBW2YSuVY0dvw:1177:100:Josh Buysse,SSRFC,5-0736,SSRF
Staff:/nfs/zeus/a1/home/ssrf/buysse:/bin/tcsh
buysse@brute:~ 5% ypchfn
Changing NIS account information for buysse on atlas.socsci.umn.edu.
Please enter password:

Changing full name for buysse on atlas.socsci.umn.edu.
To accept the default, simply press return. To enter an empty
field, type the word "none".
Name [Josh Buysse]: 
Location [SSRFC]: 
Office Phone [5-0736]: 
Home Phone [SSRF Staff]: 

The GECOS information has been changed on atlas.socsci.umn.edu.

buysse@brute:~ 6% ypmatch buysse passwd
buysse:EBW2YSuVY0dvw:1177:100:Josh
Buysse:/nfs/zeus/a1/home/ssrf/buysse:/bin/tcsh
Comment 1 Preston Brown 2000-08-15 10:58:53 EDT
Nalin:  florian doesn't seem to be addressing this, but it would be good to get
it fixed b4 RC2.  Can you tackle it please?
Comment 2 Nalin Dahyabhai 2000-08-15 19:01:29 EDT
Fixed in yp-tools-2.4-4.

Note You need to log in before you can comment on or make changes to this bug.